r98 - builds/mingw32_on_debian_unstable/gtk_dsound_debug
erik at minisip.org
erik at minisip.org
Wed Mar 7 20:52:37 CET 2007
Author: erik
Date: 2007-03-07 20:52:36 +0100 (Wed, 07 Mar 2007)
New Revision: 98
Modified:
builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh
Log:
* Auto-build, cross w. mingw32: make -j6 -> make -j2
dev.minisip.org spent a good part of the afternoon with 24 in
load and <5% of CPU utilization (not enough RAM for 24 parallell
compiles).
The auto-build should handle this by checking for the load and
waiting for it to become relatively low. Builds tend to be
started in "bursts" where tasks queue up waiting for low load are
all started at the same time. There was a bug in a random backoff
functionality which is fixed now.
Modified: builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh
===================================================================
--- builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh 2007-02-26 22:18:20 UTC (rev 97)
+++ builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh 2007-03-07 19:52:36 UTC (rev 98)
@@ -29,14 +29,14 @@
cd $LIB
echo "" >&2
echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
- ./bootstrap && ./configure --enable-dsound --disable-gconf --enable-debug --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static prefix=${PREFIX} CPPFLAGS="-I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB} && nice -16 make -j6 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+ ./bootstrap && ./configure --enable-dsound --disable-gconf --enable-debug --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static prefix=${PREFIX} CPPFLAGS="-I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB} && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
cd ..
done
echo "AUTOBUILD_INFO: processing minisip..." >&2
cd minisip
-./bootstrap && ./configure --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static --enable-debug prefix=${PREFIX} CPPFLAGS="-I/usr/i586-mingw32msvc/include -I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB} && make -j6 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install minisip.exe" >&2 && exit 1 ; }
+./bootstrap && ./configure --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static --enable-debug prefix=${PREFIX} CPPFLAGS="-I/usr/i586-mingw32msvc/include -I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB} && make -j2 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install minisip.exe" >&2 && exit 1 ; }
mkdir -p ${AUTOBUILD_BASE}/binoutput/lib/openssl
cp $CROSS_LIB/libcrypto.dll ${AUTOBUILD_BASE}/binoutput/lib/openssl/libeay32.dll
More information about the Minisip-devel
mailing list